=== debian/changelog ===
node-babel7 (7.4.5-8~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Tue, 05 May 2020 07:50:36 +0530

node-babel7 (7.4.5-8) unstable; urgency=medium

  * Team upload
  * Add rebuild-itself autopkgtest test
  * Rename "npm" build profile into pkg.node-babel.npm, following policy

 -- Xavier Guimard <yadd@debian.org>  Sun, 03 May 2020 09:09:42 +0200

node-babel7 (7.4.5-7) unstable; urgency=medium

  * Update debian/tests/* to fix autopkgtest (remove modules no longer present)
  * Disable autopkgtest-pkg-nodejs

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 May 2020 23:04:05 +0530

node-babel7 (7.4.5-6) unstable; urgency=medium

  * Source only upload (node-babel7 is available in archive)

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 May 2020 12:21:28 +0530

node-babel7 (7.4.5-5) unstable; urgency=medium

  * Reupload to unstable

 -- Pirate Praveen <praveen@debian.org>  Sat, 02 May 2020 10:29:10 +0530

node-babel7 (7.4.5-4) experimental; urgency=medium

  [ Pirate Praveen ]
  * Embed build only module: fastparse
  * Update minimum version of node-supports-color to 5.3
  * Tighten minimum version of node-core-js
  * Allow node-gulp-babel from backports to satisfy dependency
  * Add npm as conditional build dependency for use with npm build profile
  * Tighten dependency on node-regenerator-transform (Closes: #958868)
  * Update minimum version of node-browserslist

  [ Xavier Guimard ]
  * Use pkg-js-tools auto link during build

  [ Pirate Praveen ]
  * Skip use of prettier and don't build babel-standalone
  * Use make build for more build steps
  * Run make build with npm build profile as well
  * Run make build-dist for complete build (Closes: #959110)
  * Skip babel-polyfill generation (browserify is not packaged)

 -- Pirate Praveen <praveen@debian.org>  Fri, 01 May 2020 19:45:29 +0530

node-babel7 (7.4.5-3) experimental; urgency=medium

  * Team upload
  * Remove temporarily "Provides" field to avoid conflicts with packages
    provided by node-babel=6

 -- Xavier Guimard <yadd@debian.org>  Thu, 23 Apr 2020 15:42:52 +0200

node-babel7 (7.4.5-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for fasttrack/buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 25 Apr 2020 11:01:42 +0530

node-babel7 (7.4.5-2) experimental; urgency=medium

  * Add a breaks to node-babel before alternative mechanism
  * Require node-fs-readdir-recursive ≥ 1.1.0~
  * Remove acorn-walk, provided by acorn

 -- Xavier Guimard <yadd@debian.org>  Mon, 20 Apr 2020 16:41:23 +0200

node-babel7 (7.4.5-1) experimental; urgency=medium

  * Team upload
  * Rename temporarily to node-babel7
  * Update install
  * Update alternatives
  * Update copyright
  * New upstream version 7.4.5 (Closes: #954028)
  * Embed components: babeleslint-plugin-development, charcodes
  * Embed some little component for build
  * Refresh patches
  * Install all components
  * Update build & install
  * Update lintian overrides
  * Update autopkgtest
  * Update dependencies

 -- Xavier Guimard <yadd@debian.org>  Tue, 17 Mar 2020 09:54:21 +0100

node-babel (6.26.0+repack-3~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 25 Apr 2020 10:32:58 +0530

node-babel (6.26.0+repack-3) unstable; urgency=medium

  * Team upload
  * Install binaries using alternatives to prepare distinct babel-7 package
  * Decalre compliance with policy 4.5.0
  * Update lintian overrides
  * Fix gulpfile for gulp ≥ 4

 -- Xavier Guimard <yadd@debian.org>  Sat, 14 Mar 2020 21:52:11 +0100

node-babel (6.26.0+repack-2~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Sat, 18 Jan 2020 23:18:37 +0530

node-babel (6.26.0+repack-2) unstable; urgency=medium

  * Team upload
  * Back to unstable after successful tests

 -- Xavier Guimard <yadd@debian.org>  Sat, 11 Jan 2020 09:24:50 +0100

node-babel (6.26.0+repack-1) experimental; urgency=medium

  * Team upload
  * Require node-liftoff ≥ 3.1.0-4 and node-vinyl-fs ≥ 2.4.4-2 (fixes build)
  * Embed core-js 2.6, remove dependencies to node-core-js and repack
    (Closes: #947422)
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add "Rules-Requires-Root: no"
  * Update lintian overrides
  * Install embedded core-js into node-babel-runtime and link it into
    node-babel-register and node-babel-polyfill
  * Use pkg-js-tools auto install
  * Require pkg-js-tools ≥ 0.23
  * Update debian/copyright
  * Fix babel-runtime install
  * Add patchs descriptions
  * Update VCS fields to salsa
  * Update lintian overrides
  * Remove .npmignore files from install
  * Add upstream/metadata
  * Fix HOME to /tmp during autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Sun, 05 Jan 2020 09:46:26 +0100

node-babel (6.26.0+dfsg-3) unstable; urgency=medium

  * Add new binary node-babel-plugin-transform-proto-to-assign

 -- Pirate Praveen <praveen@debian.org>  Tue, 23 Jan 2018 19:49:32 +0530

node-babel (6.26.0+dfsg-2) unstable; urgency=medium

  * Provide babeljs-external-helpers command

 -- Pirate Praveen <praveen@debian.org>  Sun, 07 Jan 2018 22:44:30 +0530

node-babel (6.26.0+dfsg-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump standards version

 -- Pirate Praveen <praveen@debian.org>  Fri, 05 Jan 2018 21:37:50 +0530

node-babel (6.25.0+dfsg1-3) unstable; urgency=medium

  * Provide babeljs from node-babel-cli (as it provides /usr/bin/babeljs)

 -- Pirate Praveen <praveen@debian.org>  Fri, 15 Dec 2017 00:30:15 +0530

node-babel (6.25.0+dfsg1-2) unstable; urgency=medium

  * Drop node-babel-register dependency in node-babel-core (Closes: #876016)

 -- Pirate Praveen <praveen@debian.org>  Wed, 25 Oct 2017 23:45:49 +0530

node-babel (6.25.0+dfsg1-1) unstable; urgency=medium


