=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel7-$1.tar.gz/ \
 https://github.com/babel/babel/tags?after=v7.5.0 .*/archive/v?([\d\.]+).tar.gz

opts=\
component=babeleslint-plugin-development,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-eslint-plugin-babel-plugin-$1.tar.gz/ \
 https://github.com/babel/eslint-plugin-babel-plugin/tags .*/archive/v?([\d\.]+).tar.gz ignore

opts=\
component=charcodes,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-charcodes-$1.tar.gz/ \
 https://github.com/xtuc/charcodes/tags .*/archive/v?([\d\.]+).tar.gz ignore
