## node-babel7 7.4.5+~cs7.3.8

=== debian/changelog ===
node-babel7 (7.4.5+~cs7.3.8-1~bpo10+1) buster-backports; urgency=medium

  * Rebuild for buster-backports.

 -- Pirate Praveen <praveen@debian.org>  Fri, 29 May 2020 23:18:19 +0530

node-babel7 (7.4.5+~cs7.3.8-1) unstable; urgency=medium

  * Add component: js-levenshtein
  * New upstream version 7.4.5+~cs7.3.8
  * Add node-babel7.install as workaround for pkg-js-tools not installing
   the component

 -- Pirate Praveen <praveen@debian.org>  Sat, 16 May 2020 18:55:28 +0530

node-babel7 (7.4.5+~cs6.2.2-2) unstable; urgency=medium

  * Team upload
  * Add patch for node-core-js ≥ 3 (Closes: #960261)

 -- Xavier Guimard <yadd@debian.org>  Mon, 11 May 2020 10:30:57 +0200

node-babel7 (7.4.5+~cs6.2.2-1) unstable; urgency=medium

  * Team upload
  * Add pirates and node-modules-regexp components (Closes: #960018)
  * New upstream version 7.4.5+~cs6.2.2
    Really: 7.4.5+~1.0.1+~0.2.0+~4.0.1+~1.0.0
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Fri, 08 May 2020 14:34:14 +0200
