=== debian/control ===
Source: node-babel7
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
#Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , gulp (>= 4)
 , node-browserslist (>= 4.6~)
 , node-chalk
 , node-clean-css
 , node-commander
 , node-core-js (>= 3.1.1~)
 , node-css-select
 , node-css-selector-tokenizer
 , node-debbundle-acorn
 , node-debug
 , node-globals
 , node-gulp-babel (>= 8.0~)
 , node-gulp-newer
 , node-gulp-plumber
 , node-gulp-rename
 , node-gulp-util
 , node-he
 , node-htmlparser2
 , node-invariant
 , node-liftoff (>= 3.1.0-4~)
 , node-lodash
 , node-merge-stream
 , node-multimatch
 , node-output-file-sync
 , node-recast
 , node-regenerator-transform (>= 0.14~)
 , node-rimraf
 , node-rollup-plugin-babel (>= 4.4.0)
 , node-rollup-plugin-node-resolve
 , node-rollup-plugin-replace
 , node-semver
 , node-through
 , node-through2
 , node-to-fast-properties
 , node-vinyl-fs (>= 2.4.4-2~)
 , pkg-js-tools (>= 0.9.35~)
 , rollup
 , uglifyjs
 , webpack
# for debian/build_modules/webpack-stream
 , node-supports-color (>= 5.3~)
 , npm <pkg.node-babel7.npm>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-babel
Vcs-Git: https://salsa.debian.org/js-team/node-babel.git
Homepage: https://babeljs.io/
Rules-Requires-Root: no

Package: node-babel7
Architecture: all
Depends:
 ${misc:Depends}
 , node-browserslist (>= 4.6~)
 , node-chalk
 , node-commander
 , node-convert-source-map
 , node-core-js (>= 3.1.1~)
 , node-debug
 , node-esutils
 , node-find-cache-dir
 , node-fs-readdir-recursive (>= 1.1.0~)
 , node-glob
 , node-globals
 , node-invariant
 , node-js-tokens
 , node-jsesc
 , node-json5
 , node-lodash
 , node-mkdirp
 , node-output-file-sync
 , node-regenerator-runtime
 , node-regenerator-transform (>= 0.14~)
 , node-regexpu-core
 , node-resolve
 , node-semver
 , node-slash
 , node-source-map
 , node-source-map-support
 , node-to-fast-properties
 , node-to-regex
 , node-v8flags
 , nodejs
Breaks: node-babel-core (<< 6.26.0+repack-3~)
Description: Babel command line
 Babel is a JavaScript compiler to use next generation JavaScript, today.
 .
 ES2015 and beyond: Babel has support for the latest version of JavaScript
 through syntax transformers. These plugins allow you to use new syntax, right
 now without waiting for browser support.
