=== debian/rules ===
--- 
+++ 
@@ -19,11 +19,13 @@
 		babeljs-7 "$$D/src/index.js" -o "$$D/lib/index.mjs" --env-name "esm"; \
 	done
 	rm -rf node_modules
+	cd pirates && sh -ex ../debian/nodejs/pirates/build
 else
 	rm -rf node_modules
 	HOME=`pwd` npm i
 	make build-dist
 	cd charcodes && HOME=`pwd` npm i && ./scripts/build.sh
+	cd pirates && npm i && npm run build
 endif
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
