=== debian/tests/control ===
Tests: require
Depends: node-babel7
Restrictions: superficial

Test-command: dh_auto_configure --buildsystem=nodejs && make build-dist
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=rebuild-itself
