=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel7-$1.tar.gz/ \
 https://github.com/babel/babel/tags?after=v7.5.0 .*/archive/v?([\d\.]+).tar.gz group

opts=\
component=babeleslint-plugin-development,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-eslint-plugin-babel-plugin-$1.tar.gz/ \
 https://github.com/babel/eslint-plugin-babel-plugin/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=charcodes,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-charcodes-$1.tar.gz/ \
 https://github.com/xtuc/charcodes/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=pirates,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-pirates-$1.tar.gz/ \
 https://github.com/ariporad/pirates/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=node-modules-regexp,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-node-modules-regexp-$1.tar.gz/ \
 https://github.com/jamestalmage/node-modules-regexp/tags .*/archive/v?([\d\.]+).tar.gz checksum

opts=\
component=js-levenshtein,\
dversionmangle=auto,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-levenshtein-$1.tar.gz/ \
 https://github.com/gustf/js-levenshtein/tags?after=1.1.6 .*/archive/v?(1(?:.[\d\.]+)?).tar.gz checksum
