=== debian/changelog ===
node-babel7 (7.11.6+~cs65.71.39-1) unstable; urgency=medium

  * Team upload
  * Increase alternative level to take precedence over node-babel 6
  * New upstream version 7.11.6+~cs65.71.39
  * Update node-rollup-plugin* build dependencies to use new @rollup/plugin*
  * Refresh patches
  * Embed rollup-plugin-inject and rollup-plugin-node-polyfills for build only

 -- Xavier Guimard <yadd@debian.org>  Thu, 24 Sep 2020 22:19:56 +0200

node-babel7 (7.11.4+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.11.4+~cs65.71.38
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Wed, 26 Aug 2020 11:31:24 +0200

node-babel7 (7.11.3+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.11.3+~cs65.71.38
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Sun, 16 Aug 2020 07:48:41 +0200

node-babel7 (7.11.0+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.11.0+~cs65.71.38
  * Refresh patches
  * Update lintian overrides
  * Bump debhelper compatibility level to 13

 -- Xavier Guimard <yadd@debian.org>  Fri, 14 Aug 2020 07:33:27 +0200

node-babel7 (7.10.5+~cs65.71.38-4) unstable; urgency=medium

  * Update minimum version of node-lodash to fix ftbfs

 -- Pirate Praveen <praveen@debian.org>  Tue, 28 Jul 2020 13:13:36 +0530

node-babel7 (7.10.5+~cs65.71.38-3) unstable; urgency=medium

  * Switch to yarnpkg from npm for bootstrap build (npm no longer works because
    package.json uses yarn specific features)
  * Binary included upload with DEB_BUILD_PROFILES=pkg.node-babel7.yarnpkg
    (Closes: #965353)
  * Add git as conditional dependency in bootstrapping build profile
  * Force yarnpkg in component package.json

 -- Pirate Praveen <praveen@debian.org>  Sun, 26 Jul 2020 22:26:35 +0530

node-babel7 (7.10.5+~cs65.71.38-2) unstable; urgency=medium

  * Team upload
  * Add "Provides" field to declare babeljs and all installed modules
    (See: #965173)

 -- Xavier Guimard <yadd@debian.org>  Sun, 19 Jul 2020 09:56:24 +0200

node-babel7 (7.10.5+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.10.5+~cs65.71.38
  * Refresh patches

 -- Xavier Guimard <yadd@debian.org>  Thu, 16 Jul 2020 22:17:16 +0200

node-babel7 (7.10.4+~cs65.71.38-1) unstable; urgency=medium

  * Team upload
  * Remove duplicate eslint-plugin-babel-plugin component
  * New upstream version 7.10.4+~cs65.71.38
  * Refresh patches
  * Install @babel/eslint-* modules
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Wed, 01 Jul 2020 22:40:22 +0200

node-babel7 (7.10.2+~cs66.71.39-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.10.2 (no component changes)
  * Refresh patches
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 13 Jun 2020 17:25:28 +0200

node-babel7 (7.9.6+~cs66.71.39-8) unstable; urgency=medium

  * Team upload
  * Source only upload

 -- Xavier Guimard <yadd@debian.org>  Sat, 13 Jun 2020 14:25:32 +0200

node-babel7 (7.9.6+~cs66.71.39-7) unstable; urgency=medium

  * Team upload
  * Update debian/clean
  * Update core-js patch (fix node-string-decoder build)

 -- Xavier Guimard <yadd@debian.org>  Fri, 12 Jun 2020 08:04:29 +0200

node-babel7 (7.9.6+~cs66.71.39-6) unstable; urgency=medium

  * Team upload
  * Back to unstable

 -- Xavier Guimard <yadd@debian.org>  Fri, 12 Jun 2020 07:00:08 +0200

node-babel7 (7.9.6+~cs66.71.39-5) experimental; urgency=medium

  * Fix autopkgtest

 -- Xavier Guimard <yadd@debian.org>  Sat, 30 May 2020 22:33:58 +0200

node-babel7 (7.9.6+~cs66.71.39-4) experimental; urgency=medium

  * Team upload
  * Add patch for core-js ≥ 3

 -- Xavier Guimard <yadd@debian.org>  Wed, 20 May 2020 09:26:09 +0200

node-babel7 (7.9.6+~cs66.71.39-3) experimental; urgency=medium

  * Team upload
  * Require node-babel7 ≥ 7.9.6 to build
  * Fix large number patch
  * Fix build profile
  * Fix pirates build in npm profile

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 May 2020 23:06:33 +0200

node-babel7 (7.9.6+~cs66.71.39-2) experimental; urgency=medium

  * Team upload
  * Fix bad transpilation for large numbers

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 May 2020 14:53:11 +0200

node-babel7 (7.9.6+~cs66.71.39-1) experimental; urgency=medium

  * Team upload
  * Embed components: @babel/preset-modules babel-plugin-dynamic-import-node gensync
  * Refresh patches
  * Update dependencies:
    + add build dependencies to node-leven, node-rollup-plugin-commonjs,
      node-rollup-plugin-json
    + require node-commander ≥ 4.1.1
  * Embed components (not yet in 7.9.6 but needed to build it):
    + @babel/plugin-syntax-export-namespace-from
    + @babel/plugin-syntax-object-rest-spread
    + @babel/plugin-syntax-async-generators @babel/plugin-syntax-dynamic-import
    + @babel/plugin-syntax-json-strings
    + @babel/plugin-syntax-nullish-coalescing-operator
    + @babel/plugin-syntax-optional-catch-binding
    + @babel/plugin-syntax-optional-chaining
  * New upstream version 7.9.6+~cs66.71.39
  * Clean build modules
  * Embed build modules: browserify-fs, buffer-es6, jest-worker, process-es6,
    rollup-plugin-node-builtins, rollup-plugin-node-globals,
    rollup-plugin-terser, serialize-javascript
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Tue, 19 May 2020 13:19:05 +0200
