=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: javascript
 #Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
-Build-Depends:
- debhelper-compat (= 12)
+Build-Depends: debhelper-compat (= 13)
  , gulp (>= 4)
+ , node-babel7 (>= 7.9.6) <!pkg.node-babel7.npm>
  , node-browserslist (>= 4.6~)
  , node-chalk
  , node-clean-css
- , node-commander
+ , node-commander (>= 4.1.1)
  , node-core-js (>= 3.1.1~)
  , node-css-select
  , node-css-selector-tokenizer
@@ -25,29 +25,33 @@
  , node-he
  , node-htmlparser2
  , node-invariant
+ , node-leven (>= 3.1.0+~cs1.1.1)
  , node-liftoff (>= 3.1.0-4~)
- , node-lodash
+ , node-lodash (>= 4.17.19+dfsg1~)
  , node-merge-stream
  , node-multimatch
  , node-output-file-sync
  , node-recast
  , node-regenerator-transform (>= 0.14~)
  , node-rimraf
- , node-rollup-plugin-babel (>= 4.4.0)
- , node-rollup-plugin-node-resolve
- , node-rollup-plugin-replace
+ , node-rollup-plugin-babel (>= 5.2.0)
+ , node-rollup-plugin-commonjs (>= 13.0.0)
+ , node-rollup-plugin-json (>= 4.1.0)
+ , node-rollup-plugin-node-resolve (>= 9.0.0)
+ , node-rollup-plugin-replace (>= 2.3.3)
  , node-semver
+# for debian/build_modules/webpack-stream
+ , node-supports-color (>= 5.3~)
  , node-through
  , node-through2
  , node-to-fast-properties
  , node-vinyl-fs (>= 2.4.4-2~)
+ , yarnpkg <pkg.node-babel7.yarnpkg>
+ , git <pkg.node-babel7.yarnpkg>
  , pkg-js-tools (>= 0.9.35~)
  , rollup
  , uglifyjs
  , webpack
-# for debian/build_modules/webpack-stream
- , node-supports-color (>= 5.3~)
- , npm <pkg.node-babel7.npm>
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-babel
 Vcs-Git: https://salsa.debian.org/js-team/node-babel.git
@@ -56,11 +60,10 @@
 
 Package: node-babel7
 Architecture: all
-Depends:
- ${misc:Depends}
+Depends: ${misc:Depends}
  , node-browserslist (>= 4.6~)
  , node-chalk
- , node-commander
+ , node-commander (>= 4.1.1)
  , node-convert-source-map
  , node-core-js (>= 3.1.1~)
  , node-debug
@@ -73,7 +76,8 @@
  , node-js-tokens
  , node-jsesc
  , node-json5
- , node-lodash
+ , node-leven
+ , node-lodash (>= 4.17.19+dfsg1~)
  , node-mkdirp
  , node-output-file-sync
  , node-regenerator-runtime
@@ -89,6 +93,7 @@
  , node-v8flags
  , nodejs
 Breaks: node-babel-core (<< 6.26.0+repack-3~)
+Provides: ${nodejs:Provides}, babeljs
 Description: Babel command line
  Babel is a JavaScript compiler to use next generation JavaScript, today.
  .
