=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,10 @@
 	dh $@ --with nodejs
 
 override_dh_auto_build:
-ifeq (,$(filter pkg.node-babel.npm,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
-	make build-dist
+ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
+	rm -f node_modules/@babel/code-frame
+	cd babel-plugin-dynamic-import-node && babeljs-7 src --out-dir lib
+	make build build-dist
 	cd charcodes; \
 	for D in ./packages/*; do \
 		mkdir "$$D/lib"; \
@@ -22,10 +24,11 @@
 	cd pirates && sh -ex ../debian/nodejs/pirates/build
 else
 	rm -rf node_modules
-	HOME=`pwd` npm i
-	make build-dist
-	cd charcodes && HOME=`pwd` npm i && ./scripts/build.sh
-	cd pirates && npm i && npm run build
+	HOME=`pwd` yarnpkg install
+	make build build-dist
+	cd babel-plugin-dynamic-import-node && HOME=`pwd` yarnpkg install && yarnpkg build
+	cd charcodes && HOME=`pwd` yarnpkg install && ./scripts/build.sh
+	cd pirates && HOME=`pwd` yarnpkg install && yarnpkg build
 endif
 
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
