=== debian/tests/control ===
Tests: require
Depends: node-babel7
Restrictions: superficial, allow-stderr

Test-command: dh_auto_configure --buildsystem=nodejs && ./debian/rules override_dh_auto_build
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=rebuild-itself
