=== debian/watch ===
--- 
+++ 
@@ -3,13 +3,7 @@
 repacksuffix=+dfsg,\
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel7-$1.tar.gz/ \
- https://github.com/babel/babel/tags?after=v7.5.0 .*/archive/v?([\d\.]+).tar.gz group
-
-opts=\
-component=babeleslint-plugin-development,\
-dversionmangle=auto,\
-filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-eslint-plugin-babel-plugin-$1.tar.gz/ \
- https://github.com/babel/eslint-plugin-babel-plugin/tags .*/archive/v?([\d\.]+).tar.gz checksum
+ https://github.com/babel/babel/tags .*/archive/v?([\d\.]+).tar.gz group
 
 opts=\
 component=charcodes,\
@@ -34,3 +28,32 @@
 dversionmangle=auto,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-js-levenshtein-$1.tar.gz/ \
  https://github.com/gustf/js-levenshtein/tags?after=1.1.6 .*/archive/v?(1(?:.[\d\.]+)?).tar.gz checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=babelpreset-modules,pgpmode=none" \
+ https://registry.npmjs.org/@babel/preset-modules https://registry.npmjs.org/@babel/preset-modules/-/preset-modules-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+opts=\
+component=babel-plugin-dynamic-import-node,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-babel-plugin-dynamic-import-node-$1.tar.gz/ \
+ https://github.com/airbnb/babel-plugin-dynamic-import-node/tags .*/archive/v?([\d\.]+).tar.gz checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=gensync,pgpmode=none,uversionmangle=s/-beta.*//" \
+ https://registry.npmjs.org/gensync https://registry.npmjs.org/gensync/-/gensync-([\w\.\-]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=babelplugin-syntax-export-namespace-from,pgpmode=none" \
+ https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from https://registry.npmjs.org/@babel/plugin-syntax-export-namespace-from/-/plugin-syntax-export-namespace-from-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
+opts="searchmode=plain,component=babelplugin-syntax-object-rest-spread,pgpmode=none" \
+ https://registry.npmjs.org/@babel/plugin-syntax-object-rest-spread https://registry.npmjs.org/@babel/plugin-syntax-object-rest-spread/-/plugin-syntax-object-rest-spread-([\d\.]+)@ARCHIVE_EXT@ checksum
+
+# It is not recommended use npmregistry. Please investigate more.
+# Take a look at https://wiki.debian.org/debian/watch/
