## node-babel7 7.12.4+~cs142.117.99

=== debian/changelog ===
node-babel7 (7.12.4+~cs142.117.99-1) unstable; urgency=medium

  * Team upload
  * Embed typescript declarations
  * New upstream version 7.12.4+~cs142.117.99 (no other changes)

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 13:22:25 +0100

node-babel7 (7.12.4+~cs86.100.54-1) unstable; urgency=medium

  * Team upload
  * Embed babel-preset-current-node-syntax and @babel/plugin-syntax-bigint
  * New upstream version 7.12.4+~cs86.100.54 (no other changes)

 -- Xavier Guimard <yadd@debian.org>  Tue, 27 Oct 2020 08:50:20 +0100

node-babel7 (7.12.4+~cs79.91.47-1) unstable; urgency=medium

  * Team upload
  * Use dh-sequence-nodejs
  * New upstream version 7.12.4+~cs79.91.47
    + Updates babel itself to 7.12.4
    + Embed new components:
      - @babel/plugin-syntax-logical-assignment-operators
      - @babel/plugin-syntax-numeric-separator
  * Update copyright

 -- Xavier Guimard <yadd@debian.org>  Wed, 21 Oct 2020 12:01:35 +0200
