=== debian/control ===
--- 
+++ 
@@ -48,7 +48,7 @@
  , node-vinyl-fs (>= 2.4.4-2~)
  , yarnpkg <pkg.node-babel7.yarnpkg>
  , git <pkg.node-babel7.yarnpkg>
- , pkg-js-tools (>= 0.9.35~)
+ , dh-sequence-nodejs
  , rollup
  , uglifyjs
  , webpack
