## node-babel7 7.12.9+~cs150.130.99

=== Makefile ===
--- 
+++ 
@@ -36,6 +36,9 @@
 build-bundle-ci: bootstrap-only
 	$(MAKE) build-bundle
 
+generate-tsconfig:
+	$(NODE) scripts/generators/tsconfig.js
+
 generate-standalone:
 	$(NODE) packages/babel-standalone/scripts/generate.js
 
@@ -49,6 +52,7 @@
 
 build-typescript-typings:
 	$(NODE) packages/babel-types/scripts/generators/typescript.js > packages/babel-types/lib/index.d.ts
+	$(NODE) packages/babel-types/scripts/generators/typescript.js --ts3.7 > packages/babel-types/lib/index-ts3.7.d.ts
 
 build-standalone: build-babel-standalone
 
@@ -85,12 +89,16 @@
 	BABEL_ENV=development $(YARN) gulp watch
 
 code-quality-ci: build-no-bundle-ci
-	$(MAKE) flowcheck-ci lint-ci
+	$(MAKE) tscheck flowcheck-ci lint-ci
 
 flowcheck-ci:
 	$(MAKE) flow
 
-code-quality: flow lint
+code-quality: tscheck flow lint
+
+tscheck: generate-tsconfig
+	make build-typescript-typings
+	$(YARN) tsc -b .
 
 flow:
 	$(YARN) flow check --strip-root
@@ -109,7 +117,7 @@
 lint: lint-js lint-ts
 
 lint-js:
-	BABEL_ENV=test $(YARN) eslint scripts $(SOURCES) '*.js' --format=codeframe
+	BABEL_ENV=test $(YARN) eslint scripts $(SOURCES) '*.{js,ts}' --format=codeframe --ext .js,.cjs,.mjs,.ts
 
 lint-ts:
 	scripts/lint-ts-typings.sh
@@ -117,7 +125,7 @@
 fix: fix-json fix-js
 
 fix-js:
-	$(YARN) eslint scripts $(SOURCES) '*.js' --format=codeframe --fix
+	$(YARN) eslint scripts $(SOURCES) '*.{js,ts}' --format=codeframe --ext .js,.cjs,.mjs,.ts --fix
 
 fix-json:
 	$(YARN) prettier "{$(COMMA_SEPARATED_SOURCES)}/*/test/fixtures/**/options.json" --write --loglevel warn
@@ -136,6 +144,12 @@
 	rm -rf packages/*/npm-debug*
 	rm -rf node_modules/.cache
 
+clean-tsconfig:
+	rm -f tsconfig.json
+	rm -f packages/*/tsconfig.{tsbuildinfo,json}
+	rm -f codemods/*/tsconfig.{tsbuildinfo,json}
+	rm -f eslint/*/tsconfig.{tsbuildinfo,json}
+
 test-clean:
 	$(foreach source, $(SOURCES), \
 		$(call clean-source-test, $(source)))
@@ -217,13 +231,25 @@
 	$(MAKE) bootstrap-only
 	$(MAKE) prepublish-build
 	IS_PUBLISH=true $(MAKE) test
+	# We don't want to publish TS-related files yet, except for @babel/types
+	rm -f packages/*/lib/**/*.d.ts{,.map}
+	rm -f codemods/*/lib/**/*.d.ts{,.map}
+	rm -f eslint/*/lib/**/*.d.ts{,.map}
+	$(MAKE) clean-tsconfig
+	$(MAKE) build-typescript-typings
 
 new-version:
 	git pull --rebase
 	$(YARN) release-tool version $(FORCE_PUBLISH)
 
 # NOTE: Run make new-version first
-publish: prepublish
+publish:
+	@echo "Please confirm you have stopped make watch. (y)es, [N]o:"; \
+	read CLEAR; \
+	if [ "_$$CLEAR" != "_y" ]; then \
+		exit 1; \
+	fi
+	$(MAKE) prepublish
 	$(YARN) release-tool publish
 	$(MAKE) clean
 
@@ -258,7 +284,7 @@
 bootstrap-only: clean-all
 	yarn install
 
-bootstrap: bootstrap-only
+bootstrap: bootstrap-only generate-tsconfig
 	$(MAKE) build
 
 clean-lib:
@@ -271,7 +297,7 @@
 	rm -f packages/babel-runtime-corejs3/helpers/**/*.js
 	rm -rf packages/babel-runtime-corejs2/core-js
 
-clean-all:
+clean-all: clean-tsconfig
 	rm -rf node_modules
 	rm -rf package-lock.json
 	rm -rf .changelog
