=== debian/changelog ===
node-babel7 (7.12.9+~cs150.130.99-1) unstable; urgency=medium

  * Team upload

  [ lintian-brush ]
  * Fix field name case in debian/tests/control (Test-command => Test-Command).
  * Set upstream metadata fields: Security-Contact.

  [ Xavier Guimard ]
  * Declare compliance with policy 4.5.1
  * New upstream version 7.12.9+~cs150.130.99
    Updates:
     + babel 7.12.9
     + @types/babel 7.4.0
  * Refresh patches
  * Remove useless dependencies
  * Update require test
  * Update lintian overrides

 -- Xavier Guimard <yadd@debian.org>  Sat, 28 Nov 2020 17:04:44 +0100

node-babel7 (7.12.6+~cs150.126.101-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.12.6+~cs150.126.101:
    + Update babel itself to 7.12.6
    + Embed @babel/plugin-syntax-import-meta
  * Add dependencies to node-make-dir and node-quick-lru

 -- Xavier Guimard <yadd@debian.org>  Sun, 08 Nov 2020 13:01:05 +0100
